- Home
- API Enriched
- Blindfold
- secret_management
- Public Key.
Public Key.
const url = 'https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/secret_management/get_public_key';const options = {method: 'GET', headers: {Authorization: '<Authorization>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/secret_management/get_public_key \ --header 'Authorization: <Authorization>'GetPublicKey API returns public part of the F5 Distributed Cloud secret management key that needs to be given to F5 Distributed Cloud secret management tool to do secret encryption.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”The version of public key.
Responses
Section titled “Responses”A successful response.
F5XC Secret Management uses asymmetric cryptography for securing secrets. Each tenant will be assigned a <public,private> keypair for secret management at registration time. While private part of the key never leaves F5 Distributed Cloud secret management, public part of this asymmetric key is used for secret encryption. Get_public_key_response is the response to the get_public_key API and holds the public key for secret encryption.
object
object
Version number or identifier
Modulus as Base64 encoded string.
Public Exponent as Base64 encoded string.
Tenant of the public key.
Examplegenerated
{ "data": { "key_version": 1, "modulus_base64": "example", "public_exponent_base64": "example", "tenant": "example" }}Returned when operation is not authorized.
Examplegenerated
exampleReturned when there is no permission to access resource.
Examplegenerated
exampleReturned when resource is not found.
Examplegenerated
exampleReturned when operation on resource is conflicting with current value.
Examplegenerated
exampleReturned when operation has been rejected as it is happening too frequently.
Examplegenerated
exampleReturned when server encountered an error in processing API.
Examplegenerated
exampleReturned when service is unavailable temporarily.
Examplegenerated
exampleReturned when server timed out processing request.
Examplegenerated
example